#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-IxZfOEs0e3rJq2jEEMO0Kg
key:                  stack-2.7.3-IxZfOEs0e3rJq2jEEMO0Kg
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  08b3a25e264060453610d8fc68af3399
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-IxZfOEs0e3rJq2jEEMO0Kg
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-EMNFVE8fJ8l4Y3HGKS2Pru
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-8K30PAki1Pb8yIeght2Azi array-0.5.4.0
    async-2.2.3-JYKLQKS337YI3EHAC7DhtO
    attoparsec-0.14.1-HDq60uH3YzEJlUmAXMWIIW base-4.15.0.0
    base64-bytestring-1.2.0.1-EA2xBMwLLcIqi0tYvZ5NP
    bytestring-0.10.12.1 casa-client-0.0.1-1Dc49CUimnHKKGuJsAy6ft
    casa-types-0.0.2-4RXxVdUoNN2VjrqqO3pFO
    colour-2.3.6-LAzJoz1hOfcG0GcVQMaIUG
    conduit-1.3.4.1-7bC6SFRjUvGnVOzMLerZs
    conduit-extra-1.3.5-BDN9WhmNMWyHEILWyzxpzC containers-0.6.4.1
    cryptonite-0.29-CfwQBMBQX3HKE68104HY4r
    cryptonite-conduit-0.2.2-H60u3bNLKJyCsKWZbaDYmV deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.9-9Tdntvl0z7o9bNgOxU5KHM
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-DQPjBNyvMMbAx1dHoLSQnd filepath-1.4.2.1
    fsnotify-0.3.0.1-JmMJEMQKvXmKeOnNIRx2ob
    generic-deriving-1.14-JgBJURSC8PsKT710JOtP0v
    hackage-security-0.6.0.1-CjWdN6h62KSCPh5fWBLISS
    hashable-1.3.2.0-2579b4ed8EpGiVuNwiQjKE
    hi-file-parser-0.1.2.0-1EChDX4rjRpDnIb5EW6DTV
    hpack-0.34.4-FSnT0LtVluS7GCoLCWZvYt hpc-0.6.1.0
    http-client-0.7.8-6ZhbEiDvgNk7MlAOPTIf2o
    http-client-tls-0.3.5.3-JrZIN5GgCwJJ9zt1rcdgbU
    http-conduit-2.3.8-2SUJaMPbAeqHxhgzryHRW1
    http-download-0.2.0.0-5Jf6D3Xeb4rIZZGBGK4zSv
    http-types-0.12.3-8mvtzmj6RM928JRtp4m3Ed
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.1-CltIHa1oePE4zASuUjDKSX mtl-2.2.2
    mustache-2.3.1-CtJJPpdHUfxGMhhbNC3GZP
    neat-interpolation-0.5.1.2-5sHyEgaAkGRAs2GNjdZGWz
    network-uri-2.6.4.1-BF1HIHRcf8L4FYFNmmtGI3
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-1oNXqZHhgpqGN4Eocke7To
    pantry-0.5.2.3-EV67vmZDJTlHwTYsR9bgZ9
    path-0.9.0-GVXB3zKHGa06Ry6QXzEE91
    path-io-1.6.3-Be8NemfTOU3EX0mQ02N41a
    persistent-2.13.1.1-46acBmSrglRIJredoB2twd
    persistent-sqlite-2.13.0.3-FBXmqgiOCqFW89HwqjIUN pretty-1.1.3.6
    primitive-0.7.1.0-426yJegKp37VSmhbxVnN0 process-1.6.11.0
    project-template-0.2.1.0-6AjsRwXFDHlGgUwxfsLmBZ
    regex-applicative-text-0.1.0.1-6gwU8TKlL6NDMeOuVOnqr7
    retry-0.9.0.0-JkN2shPCdCMCqOlx83rQK8
    rio-0.1.20.0-KRyzusqaK4JKkryM2Y9mKA
    rio-prettyprint-0.1.1.0-A24chYiGlYl7ibF5Yle7UN
    split-0.2.3.4-EOGBur3fzswDbYty7lcntO stm-2.5.0.0
    streaming-commons-0.2.2.1-F6Bn0iXGOmk6eSY23pglBw
    tar-0.5.1.1-2kdSMFcYlgn4hyDTBz9Bvn template-haskell-2.17.0.0
    temporary-1.3-D8zVnW0a6vcGl6VhAGmZH3 text-1.2.4.1
    text-metrics-0.3.0-7UMNi7FjBFODgDpmKCthMz
    th-reify-many-0.1.9-LjI16MZ7s7gGifMemb7ysa time-1.9.3
    tls-1.5.5-DiUxnIIAEzh7TETFRYx1Z5 transformers-0.5.6.2
    typed-process-0.2.6.0-3q8qO8H95ak7QmbeUPL7Kr
    unicode-transforms-0.3.8-Kgjij7rcFZEDlYXVSgkI15 unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.19-eC3J1Kp2ltE0HGPdpPs99
    unordered-containers-0.2.14.0-9dFFYFCso8sGtsfFV1YYEC
    vector-0.12.3.0-6sPLZXQdGWkHzsFcCKoHc
    yaml-0.11.5.0-CHm0DFoYJin9RZn9POgTHt
    zip-archive-0.4.1-27G0sNOyh4vKssS9urn9lR
    zlib-0.6.2.3-FzC6CC8NykmGKHPWaeGNtk

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

